# Oboe: oboe::StreamDeleterFunctor Struct Reference

oboe::StreamDeleterFunctor Struct Reference

`#include <AudioStream.h>`

## Public Member Functions

void | operator() (AudioStream *audioStream)

## Detailed Description

This struct is a stateless functor which closes a audiostream prior to its deletion. This means it can be used to safely delete a smart pointer referring to an open stream.

The documentation for this struct was generated from the following file:

- include/oboe/AudioStream.h